package com.rwk.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.rwk.common.annotation.Excel;
import com.rwk.common.core.domain.BaseEntity;

/**
 * 家庭成员对象 rwk_family_member
 * 
 * @author rick
 * @date 2024-11-06
 */
public class RwkFamilyMember extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 称谓 */
    @Excel(name = "称谓")
    private String appellation;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 出生年月 */
    @Excel(name = "出生年月")
    private String birthday;

    /** 政治面貌 */
    @Excel(name = "政治面貌")
    private String politicalStatus;

    /** 工作单位及职位 */
    @Excel(name = "工作单位及职位")
    private String unitJob;

    /** 家庭成员code */
    @Excel(name = "家庭成员code")
    private String familyMemberCode;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setAppellation(String appellation) 
    {
        this.appellation = appellation;
    }

    public String getAppellation() 
    {
        return appellation;
    }

    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }

    public void setBirthday(String birthday) 
    {
        this.birthday = birthday;
    }

    public String getBirthday() 
    {
        return birthday;
    }

    public void setPoliticalStatus(String politicalStatus) 
    {
        this.politicalStatus = politicalStatus;
    }

    public String getPoliticalStatus() 
    {
        return politicalStatus;
    }

    public void setUnitJob(String unitJob) 
    {
        this.unitJob = unitJob;
    }

    public String getUnitJob() 
    {
        return unitJob;
    }

    public void setFamilyMemberCode(String familyMemberCode) 
    {
        this.familyMemberCode = familyMemberCode;
    }

    public String getFamilyMemberCode() 
    {
        return familyMemberCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("appellation", getAppellation())
            .append("name", getName())
            .append("birthday", getBirthday())
            .append("politicalStatus", getPoliticalStatus())
            .append("unitJob", getUnitJob())
            .append("familyMemberCode", getFamilyMemberCode())
            .toString();
    }
}
